# Legal Notice: (C)2021 Altera Corporation. All rights reserved.  Your
# use of Altera Corporation's design tools, logic functions and other
# software and tools, and its AMPP partner logic functions, and any
# output files any of the foregoing (including device programming or
# simulation files), and any associated documentation or information are
# expressly subject to the terms and conditions of the Altera Program
# License Subscription Agreement or other applicable license agreement,
# including, without limitation, that your use is for the sole purpose
# of programming logic devices manufactured by Altera and sold by Altera
# or its authorized distributors.  Please refer to the applicable
# agreement for further details.

#**************************************************************
# Timequest JTAG clock definition
#   Uncommenting the following lines will define the JTAG
#   clock in TimeQuest Timing Analyzer
#**************************************************************

#create_clock -period 10MHz {altera_reserved_tck}
#set_clock_groups -asynchronous -group {altera_reserved_tck}

#**************************************************************
# Set TCL Path Variables 
#**************************************************************

set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy:*
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_oci:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_oci
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_break 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_oci_break:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_oci_break
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_ocimem 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_ocimem:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_ocimem
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_oci_debug:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_nios2_oci_debug
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_wrapper 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_debug_slave_wrapper:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_debug_slave_wrapper
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_tck 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_debug_slave_tck:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_debug_slave_tck
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sysclk 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_debug_slave_sysclk:the_DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_debug_slave_sysclk
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_path 	 [format "%s|%s" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci]
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_break_path 	 [format "%s|%s" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_path $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_break]
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_ocimem_path 	 [format "%s|%s" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_path $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_ocimem]
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug_path 	 [format "%s|%s" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_path $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug]
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_tck_path 	 [format "%s|%s|%s" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_path $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_wrapper $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_tck]
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sysclk_path 	 [format "%s|%s|%s" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_path $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_wrapper $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sysclk]
set 	DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr 	 [format "%s|*sr" $DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_tck_path]

#**************************************************************
# Set False Paths
#**************************************************************

set_false_path -from [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_break_path|break_readreg*] -to [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr*]
set_false_path -from [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug_path|*resetlatch]     -to [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr[33]]
set_false_path -from [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug_path|monitor_ready]  -to [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr[0]]
set_false_path -from [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug_path|monitor_error]  -to [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr[34]]
set_false_path -from [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_ocimem_path|*MonDReg*] -to [get_keepers *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr*]
set_false_path -from *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sr*    -to *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sysclk_path|*jdo*
set_false_path -from *sld_jtag_hub:*|irf_reg* -to *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_jtag_sysclk_path|ir*
set_false_path -from *sld_jtag_hub:*|sld_shadow_jsm:shadow_jsm|state[1] -to *$DE10AG_QSYS_nios2_gen2_altera_nios2_gen2_unit_1910_7bgctcy_oci_debug_path|monitor_go
