// DE10AG_QSYS.v

// Generated using ACDS version 21.2 72

`timescale 1 ps / 1 ps
module DE10AG_QSYS (
		input  wire       clk_clk,           //        clk.clk
		output wire [3:0] pio_led_export,    //    pio_led.export
		input  wire [1:0] pio_button_export, // pio_button.export
		input  wire [1:0] pio_sw_export,     //     pio_sw.export
		input  wire       reset_n_reset_n    //    reset_n.reset_n
	);

	wire         clock_in_out_clk_clk;                                        // clock_in:out_clk -> [reset_in:clk, system_pll:refclk]
	wire         system_pll_outclk0_clk;                                      // system_pll:outclk_0 -> [irq_mapper:clk, irq_synchronizer:sender_clk, jtag_uart:clk, mm_clock_crossing_bridge:s0_clk, mm_interconnect_0:system_pll_outclk0_clk, nios2_gen2:clk, onchip_memory2:clk, rst_controller:clk, rst_controller_002:clk, rst_controller_003:clk, rst_controller_004:clk]
	wire         system_pll_outclk1_clk;                                      // system_pll:outclk_1 -> [irq_synchronizer:receiver_clk, mm_clock_crossing_bridge:m0_clk, mm_interconnect_1:system_pll_outclk1_clk, pio_LED:clk, pio_button:clk, pio_sw:clk, rst_controller_001:clk, rst_controller_005:clk, sysid_qsys:clock, timer:clk]
	wire         reset_in_out_reset_reset;                                    // reset_in:out_reset_n -> [rst_controller:reset_in0, rst_controller_001:reset_in0, rst_controller_002:reset_in1, rst_controller_003:reset_in1, rst_controller_004:reset_in0, rst_controller_005:reset_in0, system_pll:rst]
	wire  [31:0] nios2_gen2_data_master_readdata;                             // mm_interconnect_0:nios2_gen2_data_master_readdata -> nios2_gen2:d_readdata
	wire         nios2_gen2_data_master_waitrequest;                          // mm_interconnect_0:nios2_gen2_data_master_waitrequest -> nios2_gen2:d_waitrequest
	wire         nios2_gen2_data_master_debugaccess;                          // nios2_gen2:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_gen2_data_master_debugaccess
	wire  [25:0] nios2_gen2_data_master_address;                              // nios2_gen2:d_address -> mm_interconnect_0:nios2_gen2_data_master_address
	wire   [3:0] nios2_gen2_data_master_byteenable;                           // nios2_gen2:d_byteenable -> mm_interconnect_0:nios2_gen2_data_master_byteenable
	wire         nios2_gen2_data_master_read;                                 // nios2_gen2:d_read -> mm_interconnect_0:nios2_gen2_data_master_read
	wire         nios2_gen2_data_master_readdatavalid;                        // mm_interconnect_0:nios2_gen2_data_master_readdatavalid -> nios2_gen2:d_readdatavalid
	wire         nios2_gen2_data_master_write;                                // nios2_gen2:d_write -> mm_interconnect_0:nios2_gen2_data_master_write
	wire  [31:0] nios2_gen2_data_master_writedata;                            // nios2_gen2:d_writedata -> mm_interconnect_0:nios2_gen2_data_master_writedata
	wire  [31:0] nios2_gen2_instruction_master_readdata;                      // mm_interconnect_0:nios2_gen2_instruction_master_readdata -> nios2_gen2:i_readdata
	wire         nios2_gen2_instruction_master_waitrequest;                   // mm_interconnect_0:nios2_gen2_instruction_master_waitrequest -> nios2_gen2:i_waitrequest
	wire  [20:0] nios2_gen2_instruction_master_address;                       // nios2_gen2:i_address -> mm_interconnect_0:nios2_gen2_instruction_master_address
	wire         nios2_gen2_instruction_master_read;                          // nios2_gen2:i_read -> mm_interconnect_0:nios2_gen2_instruction_master_read
	wire         nios2_gen2_instruction_master_readdatavalid;                 // mm_interconnect_0:nios2_gen2_instruction_master_readdatavalid -> nios2_gen2:i_readdatavalid
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;    // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;      // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest;   // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;          // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;         // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire  [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata;       // nios2_gen2:debug_mem_slave_readdata -> mm_interconnect_0:nios2_gen2_debug_mem_slave_readdata
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest;    // nios2_gen2:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_gen2_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess;    // mm_interconnect_0:nios2_gen2_debug_mem_slave_debugaccess -> nios2_gen2:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_address;        // mm_interconnect_0:nios2_gen2_debug_mem_slave_address -> nios2_gen2:debug_mem_slave_address
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_read;           // mm_interconnect_0:nios2_gen2_debug_mem_slave_read -> nios2_gen2:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable;     // mm_interconnect_0:nios2_gen2_debug_mem_slave_byteenable -> nios2_gen2:debug_mem_slave_byteenable
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_write;          // mm_interconnect_0:nios2_gen2_debug_mem_slave_write -> nios2_gen2:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata;      // mm_interconnect_0:nios2_gen2_debug_mem_slave_writedata -> nios2_gen2:debug_mem_slave_writedata
	wire  [31:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata;      // mm_clock_crossing_bridge:s0_readdata -> mm_interconnect_0:mm_clock_crossing_bridge_s0_readdata
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest;   // mm_clock_crossing_bridge:s0_waitrequest -> mm_interconnect_0:mm_clock_crossing_bridge_s0_waitrequest
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess;   // mm_interconnect_0:mm_clock_crossing_bridge_s0_debugaccess -> mm_clock_crossing_bridge:s0_debugaccess
	wire   [9:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_address;       // mm_interconnect_0:mm_clock_crossing_bridge_s0_address -> mm_clock_crossing_bridge:s0_address
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_read;          // mm_interconnect_0:mm_clock_crossing_bridge_s0_read -> mm_clock_crossing_bridge:s0_read
	wire   [3:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable;    // mm_interconnect_0:mm_clock_crossing_bridge_s0_byteenable -> mm_clock_crossing_bridge:s0_byteenable
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid; // mm_clock_crossing_bridge:s0_readdatavalid -> mm_interconnect_0:mm_clock_crossing_bridge_s0_readdatavalid
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_write;         // mm_interconnect_0:mm_clock_crossing_bridge_s0_write -> mm_clock_crossing_bridge:s0_write
	wire  [31:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata;     // mm_interconnect_0:mm_clock_crossing_bridge_s0_writedata -> mm_clock_crossing_bridge:s0_writedata
	wire   [0:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount;    // mm_interconnect_0:mm_clock_crossing_bridge_s0_burstcount -> mm_clock_crossing_bridge:s0_burstcount
	wire         mm_interconnect_0_onchip_memory2_s1_chipselect;              // mm_interconnect_0:onchip_memory2_s1_chipselect -> onchip_memory2:chipselect
	wire  [31:0] mm_interconnect_0_onchip_memory2_s1_readdata;                // onchip_memory2:readdata -> mm_interconnect_0:onchip_memory2_s1_readdata
	wire  [16:0] mm_interconnect_0_onchip_memory2_s1_address;                 // mm_interconnect_0:onchip_memory2_s1_address -> onchip_memory2:address
	wire   [3:0] mm_interconnect_0_onchip_memory2_s1_byteenable;              // mm_interconnect_0:onchip_memory2_s1_byteenable -> onchip_memory2:byteenable
	wire         mm_interconnect_0_onchip_memory2_s1_write;                   // mm_interconnect_0:onchip_memory2_s1_write -> onchip_memory2:write
	wire  [31:0] mm_interconnect_0_onchip_memory2_s1_writedata;               // mm_interconnect_0:onchip_memory2_s1_writedata -> onchip_memory2:writedata
	wire         mm_interconnect_0_onchip_memory2_s1_clken;                   // mm_interconnect_0:onchip_memory2_s1_clken -> onchip_memory2:clken
	wire         mm_clock_crossing_bridge_m0_waitrequest;                     // mm_interconnect_1:mm_clock_crossing_bridge_m0_waitrequest -> mm_clock_crossing_bridge:m0_waitrequest
	wire  [31:0] mm_clock_crossing_bridge_m0_readdata;                        // mm_interconnect_1:mm_clock_crossing_bridge_m0_readdata -> mm_clock_crossing_bridge:m0_readdata
	wire         mm_clock_crossing_bridge_m0_debugaccess;                     // mm_clock_crossing_bridge:m0_debugaccess -> mm_interconnect_1:mm_clock_crossing_bridge_m0_debugaccess
	wire   [9:0] mm_clock_crossing_bridge_m0_address;                         // mm_clock_crossing_bridge:m0_address -> mm_interconnect_1:mm_clock_crossing_bridge_m0_address
	wire         mm_clock_crossing_bridge_m0_read;                            // mm_clock_crossing_bridge:m0_read -> mm_interconnect_1:mm_clock_crossing_bridge_m0_read
	wire   [3:0] mm_clock_crossing_bridge_m0_byteenable;                      // mm_clock_crossing_bridge:m0_byteenable -> mm_interconnect_1:mm_clock_crossing_bridge_m0_byteenable
	wire         mm_clock_crossing_bridge_m0_readdatavalid;                   // mm_interconnect_1:mm_clock_crossing_bridge_m0_readdatavalid -> mm_clock_crossing_bridge:m0_readdatavalid
	wire  [31:0] mm_clock_crossing_bridge_m0_writedata;                       // mm_clock_crossing_bridge:m0_writedata -> mm_interconnect_1:mm_clock_crossing_bridge_m0_writedata
	wire         mm_clock_crossing_bridge_m0_write;                           // mm_clock_crossing_bridge:m0_write -> mm_interconnect_1:mm_clock_crossing_bridge_m0_write
	wire   [0:0] mm_clock_crossing_bridge_m0_burstcount;                      // mm_clock_crossing_bridge:m0_burstcount -> mm_interconnect_1:mm_clock_crossing_bridge_m0_burstcount
	wire  [31:0] mm_interconnect_1_sysid_qsys_control_slave_readdata;         // sysid_qsys:readdata -> mm_interconnect_1:sysid_qsys_control_slave_readdata
	wire   [0:0] mm_interconnect_1_sysid_qsys_control_slave_address;          // mm_interconnect_1:sysid_qsys_control_slave_address -> sysid_qsys:address
	wire         mm_interconnect_1_timer_s1_chipselect;                       // mm_interconnect_1:timer_s1_chipselect -> timer:chipselect
	wire  [15:0] mm_interconnect_1_timer_s1_readdata;                         // timer:readdata -> mm_interconnect_1:timer_s1_readdata
	wire   [2:0] mm_interconnect_1_timer_s1_address;                          // mm_interconnect_1:timer_s1_address -> timer:address
	wire         mm_interconnect_1_timer_s1_write;                            // mm_interconnect_1:timer_s1_write -> timer:write_n
	wire  [15:0] mm_interconnect_1_timer_s1_writedata;                        // mm_interconnect_1:timer_s1_writedata -> timer:writedata
	wire         mm_interconnect_1_pio_led_s1_chipselect;                     // mm_interconnect_1:pio_LED_s1_chipselect -> pio_LED:chipselect
	wire  [31:0] mm_interconnect_1_pio_led_s1_readdata;                       // pio_LED:readdata -> mm_interconnect_1:pio_LED_s1_readdata
	wire   [1:0] mm_interconnect_1_pio_led_s1_address;                        // mm_interconnect_1:pio_LED_s1_address -> pio_LED:address
	wire         mm_interconnect_1_pio_led_s1_write;                          // mm_interconnect_1:pio_LED_s1_write -> pio_LED:write_n
	wire  [31:0] mm_interconnect_1_pio_led_s1_writedata;                      // mm_interconnect_1:pio_LED_s1_writedata -> pio_LED:writedata
	wire  [31:0] mm_interconnect_1_pio_sw_s1_readdata;                        // pio_sw:readdata -> mm_interconnect_1:pio_sw_s1_readdata
	wire   [1:0] mm_interconnect_1_pio_sw_s1_address;                         // mm_interconnect_1:pio_sw_s1_address -> pio_sw:address
	wire  [31:0] mm_interconnect_1_pio_button_s1_readdata;                    // pio_button:readdata -> mm_interconnect_1:pio_button_s1_readdata
	wire   [1:0] mm_interconnect_1_pio_button_s1_address;                     // mm_interconnect_1:pio_button_s1_address -> pio_button:address
	wire         irq_mapper_receiver0_irq;                                    // jtag_uart:av_irq -> irq_mapper:receiver0_irq
	wire  [31:0] nios2_gen2_irq_irq;                                          // irq_mapper:sender_irq -> nios2_gen2:irq
	wire         irq_mapper_receiver1_irq;                                    // irq_synchronizer:sender_irq -> irq_mapper:receiver1_irq
	wire   [0:0] irq_synchronizer_receiver_irq;                               // timer:irq -> irq_synchronizer:receiver_irq
	wire         rst_controller_reset_out_reset;                              // rst_controller:reset_out -> [jtag_uart:rst_n, mm_clock_crossing_bridge:s0_reset, onchip_memory2:reset]
	wire         rst_controller_reset_out_reset_req;                          // rst_controller:reset_req -> [onchip_memory2:reset_req, rst_translator:reset_req_in]
	wire         rst_controller_001_reset_out_reset;                          // rst_controller_001:reset_out -> [irq_synchronizer:receiver_reset, mm_clock_crossing_bridge:m0_reset, pio_LED:reset_n, pio_button:reset_n, pio_sw:reset_n, sysid_qsys:reset_n, timer:reset_n]
	wire         rst_controller_002_reset_out_reset;                          // rst_controller_002:reset_out -> [irq_mapper:reset, irq_synchronizer:sender_reset, nios2_gen2:reset_n]
	wire         rst_controller_002_reset_out_reset_req;                      // rst_controller_002:reset_req -> [nios2_gen2:reset_req, rst_translator_001:reset_req_in]
	wire         nios2_gen2_debug_reset_request_reset;                        // nios2_gen2:debug_reset_request -> [rst_controller_002:reset_in0, rst_controller_003:reset_in0]
	wire         rst_controller_003_reset_out_reset;                          // rst_controller_003:reset_out -> [mm_interconnect_0:nios2_gen2_data_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:nios2_gen2_reset_reset_bridge_in_reset_reset]
	wire         rst_controller_004_reset_out_reset;                          // rst_controller_004:reset_out -> [mm_interconnect_0:jtag_uart_avalon_jtag_slave_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:jtag_uart_reset_reset_bridge_in_reset_reset]
	wire         rst_controller_005_reset_out_reset;                          // rst_controller_005:reset_out -> [mm_interconnect_1:mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mm_clock_crossing_bridge_m0_translator_reset_reset_bridge_in_reset_reset]

	DE10AG_QSYS_clock_in clock_in (
		.in_clk  (clk_clk),              //   input,  width = 1,  in_clk.clk
		.out_clk (clock_in_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	DE10AG_QSYS_jtag_uart jtag_uart (
		.clk            (system_pll_outclk0_clk),                                    //   input,   width = 1,               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                           //   input,   width = 1,             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  //   input,   width = 1, avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //   input,   width = 1,                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //   input,   width = 1,                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //  output,  width = 32,                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //   input,   width = 1,                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //   input,  width = 32,                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //  output,   width = 1,                  .waitrequest
		.av_irq         (irq_mapper_receiver0_irq)                                   //  output,   width = 1,               irq.irq
	);

	DE10AG_QSYS_mm_clock_crossing_bridge mm_clock_crossing_bridge (
		.m0_clk           (system_pll_outclk1_clk),                                      //   input,   width = 1,   m0_clk.clk
		.m0_reset         (rst_controller_001_reset_out_reset),                          //   input,   width = 1, m0_reset.reset
		.s0_clk           (system_pll_outclk0_clk),                                      //   input,   width = 1,   s0_clk.clk
		.s0_reset         (rst_controller_reset_out_reset),                              //   input,   width = 1, s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest),   //  output,   width = 1,       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata),      //  output,  width = 32,         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid), //  output,   width = 1,         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount),    //   input,   width = 1,         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata),     //   input,  width = 32,         .writedata
		.s0_address       (mm_interconnect_0_mm_clock_crossing_bridge_s0_address),       //   input,  width = 10,         .address
		.s0_write         (mm_interconnect_0_mm_clock_crossing_bridge_s0_write),         //   input,   width = 1,         .write
		.s0_read          (mm_interconnect_0_mm_clock_crossing_bridge_s0_read),          //   input,   width = 1,         .read
		.s0_byteenable    (mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable),    //   input,   width = 4,         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess),   //   input,   width = 1,         .debugaccess
		.m0_waitrequest   (mm_clock_crossing_bridge_m0_waitrequest),                     //   input,   width = 1,       m0.waitrequest
		.m0_readdata      (mm_clock_crossing_bridge_m0_readdata),                        //   input,  width = 32,         .readdata
		.m0_readdatavalid (mm_clock_crossing_bridge_m0_readdatavalid),                   //   input,   width = 1,         .readdatavalid
		.m0_burstcount    (mm_clock_crossing_bridge_m0_burstcount),                      //  output,   width = 1,         .burstcount
		.m0_writedata     (mm_clock_crossing_bridge_m0_writedata),                       //  output,  width = 32,         .writedata
		.m0_address       (mm_clock_crossing_bridge_m0_address),                         //  output,  width = 10,         .address
		.m0_write         (mm_clock_crossing_bridge_m0_write),                           //  output,   width = 1,         .write
		.m0_read          (mm_clock_crossing_bridge_m0_read),                            //  output,   width = 1,         .read
		.m0_byteenable    (mm_clock_crossing_bridge_m0_byteenable),                      //  output,   width = 4,         .byteenable
		.m0_debugaccess   (mm_clock_crossing_bridge_m0_debugaccess)                      //  output,   width = 1,         .debugaccess
	);

	DE10AG_QSYS_nios2_gen2 nios2_gen2 (
		.clk                                 (system_pll_outclk0_clk),                                   //   input,   width = 1,                       clk.clk
		.reset_n                             (~rst_controller_002_reset_out_reset),                      //   input,   width = 1,                     reset.reset_n
		.reset_req                           (rst_controller_002_reset_out_reset_req),                   //   input,   width = 1,                          .reset_req
		.d_address                           (nios2_gen2_data_master_address),                           //  output,  width = 26,               data_master.address
		.d_byteenable                        (nios2_gen2_data_master_byteenable),                        //  output,   width = 4,                          .byteenable
		.d_read                              (nios2_gen2_data_master_read),                              //  output,   width = 1,                          .read
		.d_readdata                          (nios2_gen2_data_master_readdata),                          //   input,  width = 32,                          .readdata
		.d_waitrequest                       (nios2_gen2_data_master_waitrequest),                       //   input,   width = 1,                          .waitrequest
		.d_write                             (nios2_gen2_data_master_write),                             //  output,   width = 1,                          .write
		.d_writedata                         (nios2_gen2_data_master_writedata),                         //  output,  width = 32,                          .writedata
		.d_readdatavalid                     (nios2_gen2_data_master_readdatavalid),                     //   input,   width = 1,                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_gen2_data_master_debugaccess),                       //  output,   width = 1,                          .debugaccess
		.i_address                           (nios2_gen2_instruction_master_address),                    //  output,  width = 21,        instruction_master.address
		.i_read                              (nios2_gen2_instruction_master_read),                       //  output,   width = 1,                          .read
		.i_readdata                          (nios2_gen2_instruction_master_readdata),                   //   input,  width = 32,                          .readdata
		.i_waitrequest                       (nios2_gen2_instruction_master_waitrequest),                //   input,   width = 1,                          .waitrequest
		.i_readdatavalid                     (nios2_gen2_instruction_master_readdatavalid),              //   input,   width = 1,                          .readdatavalid
		.irq                                 (nios2_gen2_irq_irq),                                       //   input,  width = 32,                       irq.irq
		.debug_reset_request                 (nios2_gen2_debug_reset_request_reset),                     //  output,   width = 1,       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),     //   input,   width = 9,           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),  //   input,   width = 4,                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess), //   input,   width = 1,                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),        //   input,   width = 1,                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),    //  output,  width = 32,                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest), //  output,   width = 1,                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),       //   input,   width = 1,                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),   //   input,  width = 32,                          .writedata
		.dummy_ci_port                       ()                                                          //  output,   width = 1, custom_instruction_master.readra
	);

	DE10AG_QSYS_onchip_memory2 onchip_memory2 (
		.clk        (system_pll_outclk0_clk),                         //   input,   width = 1,   clk1.clk
		.address    (mm_interconnect_0_onchip_memory2_s1_address),    //   input,  width = 17,     s1.address
		.clken      (mm_interconnect_0_onchip_memory2_s1_clken),      //   input,   width = 1,       .clken
		.chipselect (mm_interconnect_0_onchip_memory2_s1_chipselect), //   input,   width = 1,       .chipselect
		.write      (mm_interconnect_0_onchip_memory2_s1_write),      //   input,   width = 1,       .write
		.readdata   (mm_interconnect_0_onchip_memory2_s1_readdata),   //  output,  width = 32,       .readdata
		.writedata  (mm_interconnect_0_onchip_memory2_s1_writedata),  //   input,  width = 32,       .writedata
		.byteenable (mm_interconnect_0_onchip_memory2_s1_byteenable), //   input,   width = 4,       .byteenable
		.reset      (rst_controller_reset_out_reset),                 //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req)              //   input,   width = 1,       .reset_req
	);

	DE10AG_QSYS_pio_LED pio_led (
		.clk        (system_pll_outclk1_clk),                  //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_001_reset_out_reset),     //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_1_pio_led_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_1_pio_led_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_1_pio_led_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_1_pio_led_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_1_pio_led_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (pio_led_export)                           //  output,   width = 4, external_connection.export
	);

	DE10AG_QSYS_pio_button pio_button (
		.clk      (system_pll_outclk1_clk),                   //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_001_reset_out_reset),      //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_pio_button_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_pio_button_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (pio_button_export)                         //   input,   width = 2, external_connection.export
	);

	DE10AG_QSYS_pio_sw pio_sw (
		.clk      (system_pll_outclk1_clk),               //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_001_reset_out_reset),  //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_1_pio_sw_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_1_pio_sw_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (pio_sw_export)                         //   input,   width = 2, external_connection.export
	);

	DE10AG_QSYS_reset_in reset_in (
		.clk         (clock_in_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset_n  (reset_n_reset_n),          //   input,  width = 1,  in_reset.reset_n
		.out_reset_n (reset_in_out_reset_reset)  //  output,  width = 1, out_reset.reset_n
	);

	DE10AG_QSYS_sysid_qsys sysid_qsys (
		.clock    (system_pll_outclk1_clk),                              //   input,   width = 1,           clk.clk
		.reset_n  (~rst_controller_001_reset_out_reset),                 //   input,   width = 1,         reset.reset_n
		.readdata (mm_interconnect_1_sysid_qsys_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_1_sysid_qsys_control_slave_address)   //   input,   width = 1,              .address
	);

	DE10AG_QSYS_system_pll system_pll (
		.rst      (~reset_in_out_reset_reset), //   input,  width = 1,   reset.reset
		.refclk   (clock_in_out_clk_clk),      //   input,  width = 1,  refclk.clk
		.locked   (),                          //  output,  width = 1,  locked.export
		.outclk_0 (system_pll_outclk0_clk),    //  output,  width = 1, outclk0.clk
		.outclk_1 (system_pll_outclk1_clk)     //  output,  width = 1, outclk1.clk
	);

	DE10AG_QSYS_timer timer (
		.clk        (system_pll_outclk1_clk),                //   input,   width = 1,   clk.clk
		.reset_n    (~rst_controller_001_reset_out_reset),   //   input,   width = 1, reset.reset_n
		.address    (mm_interconnect_1_timer_s1_address),    //   input,   width = 3,    s1.address
		.writedata  (mm_interconnect_1_timer_s1_writedata),  //   input,  width = 16,      .writedata
		.readdata   (mm_interconnect_1_timer_s1_readdata),   //  output,  width = 16,      .readdata
		.chipselect (mm_interconnect_1_timer_s1_chipselect), //   input,   width = 1,      .chipselect
		.write_n    (~mm_interconnect_1_timer_s1_write),     //   input,   width = 1,      .write_n
		.irq        (irq_synchronizer_receiver_irq)          //  output,   width = 1,   irq.irq
	);

	DE10AG_QSYS_altera_mm_interconnect_1920_afjtzni mm_interconnect_0 (
		.nios2_gen2_data_master_address                                           (nios2_gen2_data_master_address),                              //   input,  width = 26,                                             nios2_gen2_data_master.address
		.nios2_gen2_data_master_waitrequest                                       (nios2_gen2_data_master_waitrequest),                          //  output,   width = 1,                                                                   .waitrequest
		.nios2_gen2_data_master_byteenable                                        (nios2_gen2_data_master_byteenable),                           //   input,   width = 4,                                                                   .byteenable
		.nios2_gen2_data_master_read                                              (nios2_gen2_data_master_read),                                 //   input,   width = 1,                                                                   .read
		.nios2_gen2_data_master_readdata                                          (nios2_gen2_data_master_readdata),                             //  output,  width = 32,                                                                   .readdata
		.nios2_gen2_data_master_readdatavalid                                     (nios2_gen2_data_master_readdatavalid),                        //  output,   width = 1,                                                                   .readdatavalid
		.nios2_gen2_data_master_write                                             (nios2_gen2_data_master_write),                                //   input,   width = 1,                                                                   .write
		.nios2_gen2_data_master_writedata                                         (nios2_gen2_data_master_writedata),                            //   input,  width = 32,                                                                   .writedata
		.nios2_gen2_data_master_debugaccess                                       (nios2_gen2_data_master_debugaccess),                          //   input,   width = 1,                                                                   .debugaccess
		.nios2_gen2_instruction_master_address                                    (nios2_gen2_instruction_master_address),                       //   input,  width = 21,                                      nios2_gen2_instruction_master.address
		.nios2_gen2_instruction_master_waitrequest                                (nios2_gen2_instruction_master_waitrequest),                   //  output,   width = 1,                                                                   .waitrequest
		.nios2_gen2_instruction_master_read                                       (nios2_gen2_instruction_master_read),                          //   input,   width = 1,                                                                   .read
		.nios2_gen2_instruction_master_readdata                                   (nios2_gen2_instruction_master_readdata),                      //  output,  width = 32,                                                                   .readdata
		.nios2_gen2_instruction_master_readdatavalid                              (nios2_gen2_instruction_master_readdatavalid),                 //  output,   width = 1,                                                                   .readdatavalid
		.jtag_uart_avalon_jtag_slave_address                                      (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),       //  output,   width = 1,                                        jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                                        (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),         //  output,   width = 1,                                                                   .write
		.jtag_uart_avalon_jtag_slave_read                                         (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),          //  output,   width = 1,                                                                   .read
		.jtag_uart_avalon_jtag_slave_readdata                                     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),      //   input,  width = 32,                                                                   .readdata
		.jtag_uart_avalon_jtag_slave_writedata                                    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),     //  output,  width = 32,                                                                   .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                                  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest),   //   input,   width = 1,                                                                   .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                                   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),    //  output,   width = 1,                                                                   .chipselect
		.nios2_gen2_debug_mem_slave_address                                       (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),        //  output,   width = 9,                                         nios2_gen2_debug_mem_slave.address
		.nios2_gen2_debug_mem_slave_write                                         (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),          //  output,   width = 1,                                                                   .write
		.nios2_gen2_debug_mem_slave_read                                          (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),           //  output,   width = 1,                                                                   .read
		.nios2_gen2_debug_mem_slave_readdata                                      (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),       //   input,  width = 32,                                                                   .readdata
		.nios2_gen2_debug_mem_slave_writedata                                     (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),      //  output,  width = 32,                                                                   .writedata
		.nios2_gen2_debug_mem_slave_byteenable                                    (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),     //  output,   width = 4,                                                                   .byteenable
		.nios2_gen2_debug_mem_slave_waitrequest                                   (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest),    //   input,   width = 1,                                                                   .waitrequest
		.nios2_gen2_debug_mem_slave_debugaccess                                   (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess),    //  output,   width = 1,                                                                   .debugaccess
		.mm_clock_crossing_bridge_s0_address                                      (mm_interconnect_0_mm_clock_crossing_bridge_s0_address),       //  output,  width = 10,                                        mm_clock_crossing_bridge_s0.address
		.mm_clock_crossing_bridge_s0_write                                        (mm_interconnect_0_mm_clock_crossing_bridge_s0_write),         //  output,   width = 1,                                                                   .write
		.mm_clock_crossing_bridge_s0_read                                         (mm_interconnect_0_mm_clock_crossing_bridge_s0_read),          //  output,   width = 1,                                                                   .read
		.mm_clock_crossing_bridge_s0_readdata                                     (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata),      //   input,  width = 32,                                                                   .readdata
		.mm_clock_crossing_bridge_s0_writedata                                    (mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata),     //  output,  width = 32,                                                                   .writedata
		.mm_clock_crossing_bridge_s0_burstcount                                   (mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount),    //  output,   width = 1,                                                                   .burstcount
		.mm_clock_crossing_bridge_s0_byteenable                                   (mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable),    //  output,   width = 4,                                                                   .byteenable
		.mm_clock_crossing_bridge_s0_readdatavalid                                (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid), //   input,   width = 1,                                                                   .readdatavalid
		.mm_clock_crossing_bridge_s0_waitrequest                                  (mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest),   //   input,   width = 1,                                                                   .waitrequest
		.mm_clock_crossing_bridge_s0_debugaccess                                  (mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess),   //  output,   width = 1,                                                                   .debugaccess
		.onchip_memory2_s1_address                                                (mm_interconnect_0_onchip_memory2_s1_address),                 //  output,  width = 17,                                                  onchip_memory2_s1.address
		.onchip_memory2_s1_write                                                  (mm_interconnect_0_onchip_memory2_s1_write),                   //  output,   width = 1,                                                                   .write
		.onchip_memory2_s1_readdata                                               (mm_interconnect_0_onchip_memory2_s1_readdata),                //   input,  width = 32,                                                                   .readdata
		.onchip_memory2_s1_writedata                                              (mm_interconnect_0_onchip_memory2_s1_writedata),               //  output,  width = 32,                                                                   .writedata
		.onchip_memory2_s1_byteenable                                             (mm_interconnect_0_onchip_memory2_s1_byteenable),              //  output,   width = 4,                                                                   .byteenable
		.onchip_memory2_s1_chipselect                                             (mm_interconnect_0_onchip_memory2_s1_chipselect),              //  output,   width = 1,                                                                   .chipselect
		.onchip_memory2_s1_clken                                                  (mm_interconnect_0_onchip_memory2_s1_clken),                   //  output,   width = 1,                                                                   .clken
		.nios2_gen2_reset_reset_bridge_in_reset_reset                             (rst_controller_003_reset_out_reset),                          //   input,   width = 1,                             nios2_gen2_reset_reset_bridge_in_reset.reset
		.jtag_uart_reset_reset_bridge_in_reset_reset                              (rst_controller_004_reset_out_reset),                          //   input,   width = 1,                              jtag_uart_reset_reset_bridge_in_reset.reset
		.nios2_gen2_data_master_translator_reset_reset_bridge_in_reset_reset      (rst_controller_003_reset_out_reset),                          //   input,   width = 1,      nios2_gen2_data_master_translator_reset_reset_bridge_in_reset.reset
		.jtag_uart_avalon_jtag_slave_translator_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                          //   input,   width = 1, jtag_uart_avalon_jtag_slave_translator_reset_reset_bridge_in_reset.reset
		.system_pll_outclk0_clk                                                   (system_pll_outclk0_clk)                                       //   input,   width = 1,                                                 system_pll_outclk0.clk
	);

	DE10AG_QSYS_altera_mm_interconnect_1920_jzgpa5y mm_interconnect_1 (
		.mm_clock_crossing_bridge_m0_address                                      (mm_clock_crossing_bridge_m0_address),                 //   input,  width = 10,                                        mm_clock_crossing_bridge_m0.address
		.mm_clock_crossing_bridge_m0_waitrequest                                  (mm_clock_crossing_bridge_m0_waitrequest),             //  output,   width = 1,                                                                   .waitrequest
		.mm_clock_crossing_bridge_m0_burstcount                                   (mm_clock_crossing_bridge_m0_burstcount),              //   input,   width = 1,                                                                   .burstcount
		.mm_clock_crossing_bridge_m0_byteenable                                   (mm_clock_crossing_bridge_m0_byteenable),              //   input,   width = 4,                                                                   .byteenable
		.mm_clock_crossing_bridge_m0_read                                         (mm_clock_crossing_bridge_m0_read),                    //   input,   width = 1,                                                                   .read
		.mm_clock_crossing_bridge_m0_readdata                                     (mm_clock_crossing_bridge_m0_readdata),                //  output,  width = 32,                                                                   .readdata
		.mm_clock_crossing_bridge_m0_readdatavalid                                (mm_clock_crossing_bridge_m0_readdatavalid),           //  output,   width = 1,                                                                   .readdatavalid
		.mm_clock_crossing_bridge_m0_write                                        (mm_clock_crossing_bridge_m0_write),                   //   input,   width = 1,                                                                   .write
		.mm_clock_crossing_bridge_m0_writedata                                    (mm_clock_crossing_bridge_m0_writedata),               //   input,  width = 32,                                                                   .writedata
		.mm_clock_crossing_bridge_m0_debugaccess                                  (mm_clock_crossing_bridge_m0_debugaccess),             //   input,   width = 1,                                                                   .debugaccess
		.sysid_qsys_control_slave_address                                         (mm_interconnect_1_sysid_qsys_control_slave_address),  //  output,   width = 1,                                           sysid_qsys_control_slave.address
		.sysid_qsys_control_slave_readdata                                        (mm_interconnect_1_sysid_qsys_control_slave_readdata), //   input,  width = 32,                                                                   .readdata
		.timer_s1_address                                                         (mm_interconnect_1_timer_s1_address),                  //  output,   width = 3,                                                           timer_s1.address
		.timer_s1_write                                                           (mm_interconnect_1_timer_s1_write),                    //  output,   width = 1,                                                                   .write
		.timer_s1_readdata                                                        (mm_interconnect_1_timer_s1_readdata),                 //   input,  width = 16,                                                                   .readdata
		.timer_s1_writedata                                                       (mm_interconnect_1_timer_s1_writedata),                //  output,  width = 16,                                                                   .writedata
		.timer_s1_chipselect                                                      (mm_interconnect_1_timer_s1_chipselect),               //  output,   width = 1,                                                                   .chipselect
		.pio_LED_s1_address                                                       (mm_interconnect_1_pio_led_s1_address),                //  output,   width = 2,                                                         pio_LED_s1.address
		.pio_LED_s1_write                                                         (mm_interconnect_1_pio_led_s1_write),                  //  output,   width = 1,                                                                   .write
		.pio_LED_s1_readdata                                                      (mm_interconnect_1_pio_led_s1_readdata),               //   input,  width = 32,                                                                   .readdata
		.pio_LED_s1_writedata                                                     (mm_interconnect_1_pio_led_s1_writedata),              //  output,  width = 32,                                                                   .writedata
		.pio_LED_s1_chipselect                                                    (mm_interconnect_1_pio_led_s1_chipselect),             //  output,   width = 1,                                                                   .chipselect
		.pio_sw_s1_address                                                        (mm_interconnect_1_pio_sw_s1_address),                 //  output,   width = 2,                                                          pio_sw_s1.address
		.pio_sw_s1_readdata                                                       (mm_interconnect_1_pio_sw_s1_readdata),                //   input,  width = 32,                                                                   .readdata
		.pio_button_s1_address                                                    (mm_interconnect_1_pio_button_s1_address),             //  output,   width = 2,                                                      pio_button_s1.address
		.pio_button_s1_readdata                                                   (mm_interconnect_1_pio_button_s1_readdata),            //   input,  width = 32,                                                                   .readdata
		.mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset_reset            (rst_controller_005_reset_out_reset),                  //   input,   width = 1,            mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_m0_translator_reset_reset_bridge_in_reset_reset (rst_controller_005_reset_out_reset),                  //   input,   width = 1, mm_clock_crossing_bridge_m0_translator_reset_reset_bridge_in_reset.reset
		.system_pll_outclk1_clk                                                   (system_pll_outclk1_clk)                               //   input,   width = 1,                                                 system_pll_outclk1.clk
	);

	DE10AG_QSYS_altera_irq_mapper_1920_mwj2pta irq_mapper (
		.clk           (system_pll_outclk0_clk),             //   input,   width = 1,       clk.clk
		.reset         (rst_controller_002_reset_out_reset), //   input,   width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           //   input,   width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           //   input,   width = 1, receiver1.irq
		.sender_irq    (nios2_gen2_irq_irq)                  //  output,  width = 32,    sender.irq
	);

	DE10AG_QSYS_altera_irq_clock_crosser_1920_rmx2ucq #(
		.IRQ_WIDTH (1)
	) irq_synchronizer (
		.receiver_clk   (system_pll_outclk1_clk),             //   input,  width = 1,       receiver_clk.clk
		.sender_clk     (system_pll_outclk0_clk),             //   input,  width = 1,         sender_clk.clk
		.receiver_reset (rst_controller_001_reset_out_reset), //   input,  width = 1, receiver_clk_reset.reset
		.sender_reset   (rst_controller_002_reset_out_reset), //   input,  width = 1,   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_receiver_irq),      //   input,  width = 1,           receiver.irq
		.sender_irq     (irq_mapper_receiver1_irq)            //  output,  width = 1,             sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (system_pll_outclk0_clk),             //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (system_pll_outclk1_clk),             //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset),   //   input,  width = 1, reset_in0.reset
		.reset_in1      (~reset_in_out_reset_reset),              //   input,  width = 1, reset_in1.reset
		.clk            (system_pll_outclk0_clk),                 //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_002_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated),                       
		.reset_req_in1  (1'b0),                                   // (terminated),                       
		.reset_in2      (1'b0),                                   // (terminated),                       
		.reset_req_in2  (1'b0),                                   // (terminated),                       
		.reset_in3      (1'b0),                                   // (terminated),                       
		.reset_req_in3  (1'b0),                                   // (terminated),                       
		.reset_in4      (1'b0),                                   // (terminated),                       
		.reset_req_in4  (1'b0),                                   // (terminated),                       
		.reset_in5      (1'b0),                                   // (terminated),                       
		.reset_req_in5  (1'b0),                                   // (terminated),                       
		.reset_in6      (1'b0),                                   // (terminated),                       
		.reset_req_in6  (1'b0),                                   // (terminated),                       
		.reset_in7      (1'b0),                                   // (terminated),                       
		.reset_req_in7  (1'b0),                                   // (terminated),                       
		.reset_in8      (1'b0),                                   // (terminated),                       
		.reset_req_in8  (1'b0),                                   // (terminated),                       
		.reset_in9      (1'b0),                                   // (terminated),                       
		.reset_req_in9  (1'b0),                                   // (terminated),                       
		.reset_in10     (1'b0),                                   // (terminated),                       
		.reset_req_in10 (1'b0),                                   // (terminated),                       
		.reset_in11     (1'b0),                                   // (terminated),                       
		.reset_req_in11 (1'b0),                                   // (terminated),                       
		.reset_in12     (1'b0),                                   // (terminated),                       
		.reset_req_in12 (1'b0),                                   // (terminated),                       
		.reset_in13     (1'b0),                                   // (terminated),                       
		.reset_req_in13 (1'b0),                                   // (terminated),                       
		.reset_in14     (1'b0),                                   // (terminated),                       
		.reset_req_in14 (1'b0),                                   // (terminated),                       
		.reset_in15     (1'b0),                                   // (terminated),                       
		.reset_req_in15 (1'b0)                                    // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset), //   input,  width = 1, reset_in0.reset
		.reset_in1      (~reset_in_out_reset_reset),            //   input,  width = 1, reset_in1.reset
		.clk            (system_pll_outclk0_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_004 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (system_pll_outclk0_clk),             //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_004_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_005 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (system_pll_outclk1_clk),             //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_005_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
