	component Qsys is
		port (
			button_external_connection_export                 : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			clk_clk                                           : in    std_logic                     := 'X';             -- clk
			ddr4_local_reset_req_external_connection_export   : out   std_logic;                                        -- export
			ddr4_status_external_connection_export            : in    std_logic_vector(11 downto 0) := (others => 'X'); -- export
			emif_agilex_a_local_reset_req_local_reset_req     : in    std_logic                     := 'X';             -- local_reset_req
			emif_agilex_a_local_reset_status_local_reset_done : out   std_logic;                                        -- local_reset_done
			emif_agilex_a_pll_ref_clk_clk                     : in    std_logic                     := 'X';             -- clk
			emif_agilex_a_oct_oct_rzqin                       : in    std_logic                     := 'X';             -- oct_rzqin
			emif_agilex_a_mem_mem_ck                          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			emif_agilex_a_mem_mem_ck_n                        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			emif_agilex_a_mem_mem_a                           : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_agilex_a_mem_mem_act_n                       : out   std_logic_vector(0 downto 0);                     -- mem_act_n
			emif_agilex_a_mem_mem_ba                          : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_agilex_a_mem_mem_bg                          : out   std_logic_vector(1 downto 0);                     -- mem_bg
			emif_agilex_a_mem_mem_cke                         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_agilex_a_mem_mem_cs_n                        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_agilex_a_mem_mem_odt                         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_agilex_a_mem_mem_reset_n                     : out   std_logic_vector(0 downto 0);                     -- mem_reset_n
			emif_agilex_a_mem_mem_par                         : out   std_logic_vector(0 downto 0);                     -- mem_par
			emif_agilex_a_mem_mem_alert_n                     : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- mem_alert_n
			emif_agilex_a_mem_mem_dqs                         : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs
			emif_agilex_a_mem_mem_dqs_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs_n
			emif_agilex_a_mem_mem_dq                          : inout std_logic_vector(71 downto 0) := (others => 'X'); -- mem_dq
			emif_agilex_a_mem_mem_dbi_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_agilex_a_status_local_cal_success            : out   std_logic;                                        -- local_cal_success
			emif_agilex_a_status_local_cal_fail               : out   std_logic;                                        -- local_cal_fail
			emif_agilex_b_local_reset_req_local_reset_req     : in    std_logic                     := 'X';             -- local_reset_req
			emif_agilex_b_local_reset_status_local_reset_done : out   std_logic;                                        -- local_reset_done
			emif_agilex_b_pll_ref_clk_clk                     : in    std_logic                     := 'X';             -- clk
			emif_agilex_b_oct_oct_rzqin                       : in    std_logic                     := 'X';             -- oct_rzqin
			emif_agilex_b_mem_mem_ck                          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			emif_agilex_b_mem_mem_ck_n                        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			emif_agilex_b_mem_mem_a                           : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_agilex_b_mem_mem_act_n                       : out   std_logic_vector(0 downto 0);                     -- mem_act_n
			emif_agilex_b_mem_mem_ba                          : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_agilex_b_mem_mem_bg                          : out   std_logic_vector(1 downto 0);                     -- mem_bg
			emif_agilex_b_mem_mem_cke                         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_agilex_b_mem_mem_cs_n                        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_agilex_b_mem_mem_odt                         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_agilex_b_mem_mem_reset_n                     : out   std_logic_vector(0 downto 0);                     -- mem_reset_n
			emif_agilex_b_mem_mem_par                         : out   std_logic_vector(0 downto 0);                     -- mem_par
			emif_agilex_b_mem_mem_alert_n                     : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- mem_alert_n
			emif_agilex_b_mem_mem_dqs                         : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs
			emif_agilex_b_mem_mem_dqs_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs_n
			emif_agilex_b_mem_mem_dq                          : inout std_logic_vector(71 downto 0) := (others => 'X'); -- mem_dq
			emif_agilex_b_mem_mem_dbi_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_agilex_b_status_local_cal_success            : out   std_logic;                                        -- local_cal_success
			emif_agilex_b_status_local_cal_fail               : out   std_logic;                                        -- local_cal_fail
			emif_agilex_c_local_reset_req_local_reset_req     : in    std_logic                     := 'X';             -- local_reset_req
			emif_agilex_c_local_reset_status_local_reset_done : out   std_logic;                                        -- local_reset_done
			emif_agilex_c_pll_ref_clk_clk                     : in    std_logic                     := 'X';             -- clk
			emif_agilex_c_oct_oct_rzqin                       : in    std_logic                     := 'X';             -- oct_rzqin
			emif_agilex_c_mem_mem_ck                          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			emif_agilex_c_mem_mem_ck_n                        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			emif_agilex_c_mem_mem_a                           : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_agilex_c_mem_mem_act_n                       : out   std_logic_vector(0 downto 0);                     -- mem_act_n
			emif_agilex_c_mem_mem_ba                          : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_agilex_c_mem_mem_bg                          : out   std_logic_vector(1 downto 0);                     -- mem_bg
			emif_agilex_c_mem_mem_cke                         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_agilex_c_mem_mem_cs_n                        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_agilex_c_mem_mem_odt                         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_agilex_c_mem_mem_reset_n                     : out   std_logic_vector(0 downto 0);                     -- mem_reset_n
			emif_agilex_c_mem_mem_par                         : out   std_logic_vector(0 downto 0);                     -- mem_par
			emif_agilex_c_mem_mem_alert_n                     : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- mem_alert_n
			emif_agilex_c_mem_mem_dqs                         : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs
			emif_agilex_c_mem_mem_dqs_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs_n
			emif_agilex_c_mem_mem_dq                          : inout std_logic_vector(71 downto 0) := (others => 'X'); -- mem_dq
			emif_agilex_c_mem_mem_dbi_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_agilex_c_status_local_cal_success            : out   std_logic;                                        -- local_cal_success
			emif_agilex_c_status_local_cal_fail               : out   std_logic;                                        -- local_cal_fail
			emif_agilex_d_local_reset_req_local_reset_req     : in    std_logic                     := 'X';             -- local_reset_req
			emif_agilex_d_local_reset_status_local_reset_done : out   std_logic;                                        -- local_reset_done
			emif_agilex_d_pll_ref_clk_clk                     : in    std_logic                     := 'X';             -- clk
			emif_agilex_d_oct_oct_rzqin                       : in    std_logic                     := 'X';             -- oct_rzqin
			emif_agilex_d_mem_mem_ck                          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			emif_agilex_d_mem_mem_ck_n                        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			emif_agilex_d_mem_mem_a                           : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_agilex_d_mem_mem_act_n                       : out   std_logic_vector(0 downto 0);                     -- mem_act_n
			emif_agilex_d_mem_mem_ba                          : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_agilex_d_mem_mem_bg                          : out   std_logic_vector(1 downto 0);                     -- mem_bg
			emif_agilex_d_mem_mem_cke                         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			emif_agilex_d_mem_mem_cs_n                        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			emif_agilex_d_mem_mem_odt                         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			emif_agilex_d_mem_mem_reset_n                     : out   std_logic_vector(0 downto 0);                     -- mem_reset_n
			emif_agilex_d_mem_mem_par                         : out   std_logic_vector(0 downto 0);                     -- mem_par
			emif_agilex_d_mem_mem_alert_n                     : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- mem_alert_n
			emif_agilex_d_mem_mem_dqs                         : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs
			emif_agilex_d_mem_mem_dqs_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dqs_n
			emif_agilex_d_mem_mem_dq                          : inout std_logic_vector(71 downto 0) := (others => 'X'); -- mem_dq
			emif_agilex_d_mem_mem_dbi_n                       : inout std_logic_vector(8 downto 0)  := (others => 'X'); -- mem_dbi_n
			emif_agilex_d_status_local_cal_success            : out   std_logic;                                        -- local_cal_success
			emif_agilex_d_status_local_cal_fail               : out   std_logic;                                        -- local_cal_fail
			iopll_locked_export                               : out   std_logic;                                        -- export
			reset_reset_n                                     : in    std_logic                     := 'X'              -- reset_n
		);
	end component Qsys;

	u0 : component Qsys
		port map (
			button_external_connection_export                 => CONNECTED_TO_button_external_connection_export,                 --               button_external_connection.export
			clk_clk                                           => CONNECTED_TO_clk_clk,                                           --                                      clk.clk
			ddr4_local_reset_req_external_connection_export   => CONNECTED_TO_ddr4_local_reset_req_external_connection_export,   -- ddr4_local_reset_req_external_connection.export
			ddr4_status_external_connection_export            => CONNECTED_TO_ddr4_status_external_connection_export,            --          ddr4_status_external_connection.export
			emif_agilex_a_local_reset_req_local_reset_req     => CONNECTED_TO_emif_agilex_a_local_reset_req_local_reset_req,     --            emif_agilex_a_local_reset_req.local_reset_req
			emif_agilex_a_local_reset_status_local_reset_done => CONNECTED_TO_emif_agilex_a_local_reset_status_local_reset_done, --         emif_agilex_a_local_reset_status.local_reset_done
			emif_agilex_a_pll_ref_clk_clk                     => CONNECTED_TO_emif_agilex_a_pll_ref_clk_clk,                     --                emif_agilex_a_pll_ref_clk.clk
			emif_agilex_a_oct_oct_rzqin                       => CONNECTED_TO_emif_agilex_a_oct_oct_rzqin,                       --                        emif_agilex_a_oct.oct_rzqin
			emif_agilex_a_mem_mem_ck                          => CONNECTED_TO_emif_agilex_a_mem_mem_ck,                          --                        emif_agilex_a_mem.mem_ck
			emif_agilex_a_mem_mem_ck_n                        => CONNECTED_TO_emif_agilex_a_mem_mem_ck_n,                        --                                         .mem_ck_n
			emif_agilex_a_mem_mem_a                           => CONNECTED_TO_emif_agilex_a_mem_mem_a,                           --                                         .mem_a
			emif_agilex_a_mem_mem_act_n                       => CONNECTED_TO_emif_agilex_a_mem_mem_act_n,                       --                                         .mem_act_n
			emif_agilex_a_mem_mem_ba                          => CONNECTED_TO_emif_agilex_a_mem_mem_ba,                          --                                         .mem_ba
			emif_agilex_a_mem_mem_bg                          => CONNECTED_TO_emif_agilex_a_mem_mem_bg,                          --                                         .mem_bg
			emif_agilex_a_mem_mem_cke                         => CONNECTED_TO_emif_agilex_a_mem_mem_cke,                         --                                         .mem_cke
			emif_agilex_a_mem_mem_cs_n                        => CONNECTED_TO_emif_agilex_a_mem_mem_cs_n,                        --                                         .mem_cs_n
			emif_agilex_a_mem_mem_odt                         => CONNECTED_TO_emif_agilex_a_mem_mem_odt,                         --                                         .mem_odt
			emif_agilex_a_mem_mem_reset_n                     => CONNECTED_TO_emif_agilex_a_mem_mem_reset_n,                     --                                         .mem_reset_n
			emif_agilex_a_mem_mem_par                         => CONNECTED_TO_emif_agilex_a_mem_mem_par,                         --                                         .mem_par
			emif_agilex_a_mem_mem_alert_n                     => CONNECTED_TO_emif_agilex_a_mem_mem_alert_n,                     --                                         .mem_alert_n
			emif_agilex_a_mem_mem_dqs                         => CONNECTED_TO_emif_agilex_a_mem_mem_dqs,                         --                                         .mem_dqs
			emif_agilex_a_mem_mem_dqs_n                       => CONNECTED_TO_emif_agilex_a_mem_mem_dqs_n,                       --                                         .mem_dqs_n
			emif_agilex_a_mem_mem_dq                          => CONNECTED_TO_emif_agilex_a_mem_mem_dq,                          --                                         .mem_dq
			emif_agilex_a_mem_mem_dbi_n                       => CONNECTED_TO_emif_agilex_a_mem_mem_dbi_n,                       --                                         .mem_dbi_n
			emif_agilex_a_status_local_cal_success            => CONNECTED_TO_emif_agilex_a_status_local_cal_success,            --                     emif_agilex_a_status.local_cal_success
			emif_agilex_a_status_local_cal_fail               => CONNECTED_TO_emif_agilex_a_status_local_cal_fail,               --                                         .local_cal_fail
			emif_agilex_b_local_reset_req_local_reset_req     => CONNECTED_TO_emif_agilex_b_local_reset_req_local_reset_req,     --            emif_agilex_b_local_reset_req.local_reset_req
			emif_agilex_b_local_reset_status_local_reset_done => CONNECTED_TO_emif_agilex_b_local_reset_status_local_reset_done, --         emif_agilex_b_local_reset_status.local_reset_done
			emif_agilex_b_pll_ref_clk_clk                     => CONNECTED_TO_emif_agilex_b_pll_ref_clk_clk,                     --                emif_agilex_b_pll_ref_clk.clk
			emif_agilex_b_oct_oct_rzqin                       => CONNECTED_TO_emif_agilex_b_oct_oct_rzqin,                       --                        emif_agilex_b_oct.oct_rzqin
			emif_agilex_b_mem_mem_ck                          => CONNECTED_TO_emif_agilex_b_mem_mem_ck,                          --                        emif_agilex_b_mem.mem_ck
			emif_agilex_b_mem_mem_ck_n                        => CONNECTED_TO_emif_agilex_b_mem_mem_ck_n,                        --                                         .mem_ck_n
			emif_agilex_b_mem_mem_a                           => CONNECTED_TO_emif_agilex_b_mem_mem_a,                           --                                         .mem_a
			emif_agilex_b_mem_mem_act_n                       => CONNECTED_TO_emif_agilex_b_mem_mem_act_n,                       --                                         .mem_act_n
			emif_agilex_b_mem_mem_ba                          => CONNECTED_TO_emif_agilex_b_mem_mem_ba,                          --                                         .mem_ba
			emif_agilex_b_mem_mem_bg                          => CONNECTED_TO_emif_agilex_b_mem_mem_bg,                          --                                         .mem_bg
			emif_agilex_b_mem_mem_cke                         => CONNECTED_TO_emif_agilex_b_mem_mem_cke,                         --                                         .mem_cke
			emif_agilex_b_mem_mem_cs_n                        => CONNECTED_TO_emif_agilex_b_mem_mem_cs_n,                        --                                         .mem_cs_n
			emif_agilex_b_mem_mem_odt                         => CONNECTED_TO_emif_agilex_b_mem_mem_odt,                         --                                         .mem_odt
			emif_agilex_b_mem_mem_reset_n                     => CONNECTED_TO_emif_agilex_b_mem_mem_reset_n,                     --                                         .mem_reset_n
			emif_agilex_b_mem_mem_par                         => CONNECTED_TO_emif_agilex_b_mem_mem_par,                         --                                         .mem_par
			emif_agilex_b_mem_mem_alert_n                     => CONNECTED_TO_emif_agilex_b_mem_mem_alert_n,                     --                                         .mem_alert_n
			emif_agilex_b_mem_mem_dqs                         => CONNECTED_TO_emif_agilex_b_mem_mem_dqs,                         --                                         .mem_dqs
			emif_agilex_b_mem_mem_dqs_n                       => CONNECTED_TO_emif_agilex_b_mem_mem_dqs_n,                       --                                         .mem_dqs_n
			emif_agilex_b_mem_mem_dq                          => CONNECTED_TO_emif_agilex_b_mem_mem_dq,                          --                                         .mem_dq
			emif_agilex_b_mem_mem_dbi_n                       => CONNECTED_TO_emif_agilex_b_mem_mem_dbi_n,                       --                                         .mem_dbi_n
			emif_agilex_b_status_local_cal_success            => CONNECTED_TO_emif_agilex_b_status_local_cal_success,            --                     emif_agilex_b_status.local_cal_success
			emif_agilex_b_status_local_cal_fail               => CONNECTED_TO_emif_agilex_b_status_local_cal_fail,               --                                         .local_cal_fail
			emif_agilex_c_local_reset_req_local_reset_req     => CONNECTED_TO_emif_agilex_c_local_reset_req_local_reset_req,     --            emif_agilex_c_local_reset_req.local_reset_req
			emif_agilex_c_local_reset_status_local_reset_done => CONNECTED_TO_emif_agilex_c_local_reset_status_local_reset_done, --         emif_agilex_c_local_reset_status.local_reset_done
			emif_agilex_c_pll_ref_clk_clk                     => CONNECTED_TO_emif_agilex_c_pll_ref_clk_clk,                     --                emif_agilex_c_pll_ref_clk.clk
			emif_agilex_c_oct_oct_rzqin                       => CONNECTED_TO_emif_agilex_c_oct_oct_rzqin,                       --                        emif_agilex_c_oct.oct_rzqin
			emif_agilex_c_mem_mem_ck                          => CONNECTED_TO_emif_agilex_c_mem_mem_ck,                          --                        emif_agilex_c_mem.mem_ck
			emif_agilex_c_mem_mem_ck_n                        => CONNECTED_TO_emif_agilex_c_mem_mem_ck_n,                        --                                         .mem_ck_n
			emif_agilex_c_mem_mem_a                           => CONNECTED_TO_emif_agilex_c_mem_mem_a,                           --                                         .mem_a
			emif_agilex_c_mem_mem_act_n                       => CONNECTED_TO_emif_agilex_c_mem_mem_act_n,                       --                                         .mem_act_n
			emif_agilex_c_mem_mem_ba                          => CONNECTED_TO_emif_agilex_c_mem_mem_ba,                          --                                         .mem_ba
			emif_agilex_c_mem_mem_bg                          => CONNECTED_TO_emif_agilex_c_mem_mem_bg,                          --                                         .mem_bg
			emif_agilex_c_mem_mem_cke                         => CONNECTED_TO_emif_agilex_c_mem_mem_cke,                         --                                         .mem_cke
			emif_agilex_c_mem_mem_cs_n                        => CONNECTED_TO_emif_agilex_c_mem_mem_cs_n,                        --                                         .mem_cs_n
			emif_agilex_c_mem_mem_odt                         => CONNECTED_TO_emif_agilex_c_mem_mem_odt,                         --                                         .mem_odt
			emif_agilex_c_mem_mem_reset_n                     => CONNECTED_TO_emif_agilex_c_mem_mem_reset_n,                     --                                         .mem_reset_n
			emif_agilex_c_mem_mem_par                         => CONNECTED_TO_emif_agilex_c_mem_mem_par,                         --                                         .mem_par
			emif_agilex_c_mem_mem_alert_n                     => CONNECTED_TO_emif_agilex_c_mem_mem_alert_n,                     --                                         .mem_alert_n
			emif_agilex_c_mem_mem_dqs                         => CONNECTED_TO_emif_agilex_c_mem_mem_dqs,                         --                                         .mem_dqs
			emif_agilex_c_mem_mem_dqs_n                       => CONNECTED_TO_emif_agilex_c_mem_mem_dqs_n,                       --                                         .mem_dqs_n
			emif_agilex_c_mem_mem_dq                          => CONNECTED_TO_emif_agilex_c_mem_mem_dq,                          --                                         .mem_dq
			emif_agilex_c_mem_mem_dbi_n                       => CONNECTED_TO_emif_agilex_c_mem_mem_dbi_n,                       --                                         .mem_dbi_n
			emif_agilex_c_status_local_cal_success            => CONNECTED_TO_emif_agilex_c_status_local_cal_success,            --                     emif_agilex_c_status.local_cal_success
			emif_agilex_c_status_local_cal_fail               => CONNECTED_TO_emif_agilex_c_status_local_cal_fail,               --                                         .local_cal_fail
			emif_agilex_d_local_reset_req_local_reset_req     => CONNECTED_TO_emif_agilex_d_local_reset_req_local_reset_req,     --            emif_agilex_d_local_reset_req.local_reset_req
			emif_agilex_d_local_reset_status_local_reset_done => CONNECTED_TO_emif_agilex_d_local_reset_status_local_reset_done, --         emif_agilex_d_local_reset_status.local_reset_done
			emif_agilex_d_pll_ref_clk_clk                     => CONNECTED_TO_emif_agilex_d_pll_ref_clk_clk,                     --                emif_agilex_d_pll_ref_clk.clk
			emif_agilex_d_oct_oct_rzqin                       => CONNECTED_TO_emif_agilex_d_oct_oct_rzqin,                       --                        emif_agilex_d_oct.oct_rzqin
			emif_agilex_d_mem_mem_ck                          => CONNECTED_TO_emif_agilex_d_mem_mem_ck,                          --                        emif_agilex_d_mem.mem_ck
			emif_agilex_d_mem_mem_ck_n                        => CONNECTED_TO_emif_agilex_d_mem_mem_ck_n,                        --                                         .mem_ck_n
			emif_agilex_d_mem_mem_a                           => CONNECTED_TO_emif_agilex_d_mem_mem_a,                           --                                         .mem_a
			emif_agilex_d_mem_mem_act_n                       => CONNECTED_TO_emif_agilex_d_mem_mem_act_n,                       --                                         .mem_act_n
			emif_agilex_d_mem_mem_ba                          => CONNECTED_TO_emif_agilex_d_mem_mem_ba,                          --                                         .mem_ba
			emif_agilex_d_mem_mem_bg                          => CONNECTED_TO_emif_agilex_d_mem_mem_bg,                          --                                         .mem_bg
			emif_agilex_d_mem_mem_cke                         => CONNECTED_TO_emif_agilex_d_mem_mem_cke,                         --                                         .mem_cke
			emif_agilex_d_mem_mem_cs_n                        => CONNECTED_TO_emif_agilex_d_mem_mem_cs_n,                        --                                         .mem_cs_n
			emif_agilex_d_mem_mem_odt                         => CONNECTED_TO_emif_agilex_d_mem_mem_odt,                         --                                         .mem_odt
			emif_agilex_d_mem_mem_reset_n                     => CONNECTED_TO_emif_agilex_d_mem_mem_reset_n,                     --                                         .mem_reset_n
			emif_agilex_d_mem_mem_par                         => CONNECTED_TO_emif_agilex_d_mem_mem_par,                         --                                         .mem_par
			emif_agilex_d_mem_mem_alert_n                     => CONNECTED_TO_emif_agilex_d_mem_mem_alert_n,                     --                                         .mem_alert_n
			emif_agilex_d_mem_mem_dqs                         => CONNECTED_TO_emif_agilex_d_mem_mem_dqs,                         --                                         .mem_dqs
			emif_agilex_d_mem_mem_dqs_n                       => CONNECTED_TO_emif_agilex_d_mem_mem_dqs_n,                       --                                         .mem_dqs_n
			emif_agilex_d_mem_mem_dq                          => CONNECTED_TO_emif_agilex_d_mem_mem_dq,                          --                                         .mem_dq
			emif_agilex_d_mem_mem_dbi_n                       => CONNECTED_TO_emif_agilex_d_mem_mem_dbi_n,                       --                                         .mem_dbi_n
			emif_agilex_d_status_local_cal_success            => CONNECTED_TO_emif_agilex_d_status_local_cal_success,            --                     emif_agilex_d_status.local_cal_success
			emif_agilex_d_status_local_cal_fail               => CONNECTED_TO_emif_agilex_d_status_local_cal_fail,               --                                         .local_cal_fail
			iopll_locked_export                               => CONNECTED_TO_iopll_locked_export,                               --                             iopll_locked.export
			reset_reset_n                                     => CONNECTED_TO_reset_reset_n                                      --                                    reset.reset_n
		);

