source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_LED/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_jtag_uart/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_reset_in/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_system_pll/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_onchip_memory2/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_button/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_sw/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_clock_in/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_mm_clock_crossing_bridge/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_sysid_qsys/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_timer/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/DE10AG_QSYS/DE10AG_QSYS_nios2_gen2/sim/common/modelsim_files.tcl]

namespace eval DE10AG_QSYS {
  proc get_design_libraries {} {
    set libraries [dict create]
    set libraries [dict merge $libraries [DE10AG_QSYS_pio_LED::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_jtag_uart::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_reset_in::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_system_pll::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_onchip_memory2::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_pio_button::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_pio_sw::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_clock_in::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_mm_clock_crossing_bridge::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_sysid_qsys::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_timer::get_design_libraries]]
    set libraries [dict merge $libraries [DE10AG_QSYS_nios2_gen2::get_design_libraries]]
    dict set libraries altera_merlin_master_translator_191 1
    dict set libraries altera_merlin_slave_translator_191  1
    dict set libraries altera_merlin_master_agent_191      1
    dict set libraries altera_merlin_slave_agent_191       1
    dict set libraries altera_avalon_sc_fifo_1930          1
    dict set libraries altera_merlin_router_1920           1
    dict set libraries altera_merlin_traffic_limiter_191   1
    dict set libraries altera_merlin_demultiplexer_1921    1
    dict set libraries altera_merlin_multiplexer_1921      1
    dict set libraries altera_mm_interconnect_1920         1
    dict set libraries altera_irq_mapper_1920              1
    dict set libraries altera_irq_clock_crosser_1920       1
    dict set libraries altera_reset_controller_1921        1
    dict set libraries DE10AG_QSYS                         1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    set memory_files [concat $memory_files [DE10AG_QSYS_pio_LED::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_LED/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_jtag_uart::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_jtag_uart/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_reset_in::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_reset_in/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_system_pll::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_system_pll/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_onchip_memory2::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_onchip_memory2/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_pio_button::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_button/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_pio_sw::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_sw/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_clock_in::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_clock_in/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_mm_clock_crossing_bridge::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_mm_clock_crossing_bridge/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_sysid_qsys::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_sysid_qsys/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_timer::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_timer/sim/"]]
    set memory_files [concat $memory_files [DE10AG_QSYS_nios2_gen2::get_memory_files "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_nios2_gen2/sim/"]]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    set design_files [dict merge $design_files [DE10AG_QSYS_pio_LED::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_LED/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_jtag_uart::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_jtag_uart/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_reset_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_reset_in/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_system_pll::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_system_pll/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_onchip_memory2::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_onchip_memory2/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_pio_button::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_button/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_pio_sw::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_sw/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_clock_in::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_clock_in/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_mm_clock_crossing_bridge::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_mm_clock_crossing_bridge/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_sysid_qsys::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_sysid_qsys/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_timer::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_timer/sim/"]]
    set design_files [dict merge $design_files [DE10AG_QSYS_nios2_gen2::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_nios2_gen2/sim/"]]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    set design_files [concat $design_files [DE10AG_QSYS_pio_LED::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_LED/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_jtag_uart::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_jtag_uart/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_reset_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_reset_in/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_system_pll::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_system_pll/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_onchip_memory2::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_onchip_memory2/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_pio_button::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_button/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_pio_sw::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_pio_sw/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_clock_in::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_clock_in/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_mm_clock_crossing_bridge::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_mm_clock_crossing_bridge/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_sysid_qsys::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_sysid_qsys/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_timer::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_timer/sim/"]]
    set design_files [concat $design_files [DE10AG_QSYS_nios2_gen2::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/DE10AG_QSYS/DE10AG_QSYS_nios2_gen2/sim/"]]
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_191/sim/DE10AG_QSYS_altera_merlin_master_translator_191_g7h47bq.sv"]\"  -work altera_merlin_master_translator_191"           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_translator_191/sim/DE10AG_QSYS_altera_merlin_slave_translator_191_x56fcki.sv"]\"  -work altera_merlin_slave_translator_191"              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_agent_191/sim/DE10AG_QSYS_altera_merlin_master_agent_191_mpbm6tq.sv"]\"  -work altera_merlin_master_agent_191"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/DE10AG_QSYS_altera_merlin_slave_agent_191_ncfkfri.sv"]\"  -work altera_merlin_slave_agent_191"                             
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_slave_agent_191"                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_sc_fifo_1930/sim/DE10AG_QSYS_altera_avalon_sc_fifo_1930_k6mjsxi.v"]\"  -work altera_avalon_sc_fifo_1930"                                           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/DE10AG_QSYS_altera_merlin_router_1920_cphgu4i.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/DE10AG_QSYS_altera_merlin_router_1920_q25i5uq.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/DE10AG_QSYS_altera_merlin_router_1920_fo6lzoy.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/DE10AG_QSYS_altera_merlin_router_1920_zkbpgwq.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/DE10AG_QSYS_altera_merlin_traffic_limiter_altera_avalon_sc_fifo_191_fjajnki.v"]\"  -work altera_merlin_traffic_limiter_191"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_merlin_reorder_memory.sv"]\"  -work altera_merlin_traffic_limiter_191"                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_merlin_traffic_limiter_191"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/DE10AG_QSYS_altera_merlin_traffic_limiter_191_6blplji.sv"]\"  -work altera_merlin_traffic_limiter_191"                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/DE10AG_QSYS_altera_merlin_demultiplexer_1921_jwdlqna.sv"]\"  -work altera_merlin_demultiplexer_1921"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/DE10AG_QSYS_altera_merlin_demultiplexer_1921_tbdfvji.sv"]\"  -work altera_merlin_demultiplexer_1921"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/DE10AG_QSYS_altera_merlin_multiplexer_1921_vyjugsi.sv"]\"  -work altera_merlin_multiplexer_1921"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/DE10AG_QSYS_altera_merlin_multiplexer_1921_nbsrbui.sv"]\"  -work altera_merlin_multiplexer_1921"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/DE10AG_QSYS_altera_merlin_demultiplexer_1921_5oxtgmq.sv"]\"  -work altera_merlin_demultiplexer_1921"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/DE10AG_QSYS_altera_merlin_demultiplexer_1921_54jf3wy.sv"]\"  -work altera_merlin_demultiplexer_1921"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/DE10AG_QSYS_altera_merlin_multiplexer_1921_w6zysea.sv"]\"  -work altera_merlin_multiplexer_1921"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/DE10AG_QSYS_altera_merlin_multiplexer_1921_md7ukfy.sv"]\"  -work altera_merlin_multiplexer_1921"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/DE10AG_QSYS_altera_mm_interconnect_1920_afjtzni.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/DE10AG_QSYS_altera_merlin_router_1920_n5fthhq.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_1920/sim/DE10AG_QSYS_altera_merlin_router_1920_hyszoka.sv"]\"  -work altera_merlin_router_1920"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/DE10AG_QSYS_altera_merlin_demultiplexer_1921_ccaw4by.sv"]\"  -work altera_merlin_demultiplexer_1921"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/DE10AG_QSYS_altera_merlin_multiplexer_1921_cxlfh4i.sv"]\"  -work altera_merlin_multiplexer_1921"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_1921/sim/DE10AG_QSYS_altera_merlin_demultiplexer_1921_ni24eri.sv"]\"  -work altera_merlin_demultiplexer_1921"                    
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/DE10AG_QSYS_altera_merlin_multiplexer_1921_dmkvtxa.sv"]\"  -work altera_merlin_multiplexer_1921"                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_1921/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_1921"                                                    
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_1920/sim/DE10AG_QSYS_altera_mm_interconnect_1920_jzgpa5y.v"]\"  -work altera_mm_interconnect_1920"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_irq_mapper_1920/sim/DE10AG_QSYS_altera_irq_mapper_1920_mwj2pta.sv"]\"  -work altera_irq_mapper_1920"                                                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_irq_clock_crosser_1920/sim/DE10AG_QSYS_altera_irq_clock_crosser_1920_rmx2ucq.sv"]\"  -work altera_irq_clock_crosser_1920"                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1921/sim/altera_reset_controller.v"]\"  -work altera_reset_controller_1921"                                                              
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_1921/sim/altera_reset_synchronizer.v"]\"  -work altera_reset_controller_1921"                                                            
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/DE10AG_QSYS.v"]\"  -work DE10AG_QSYS"                                                                                                                               
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    append ELAB_OPTIONS [DE10AG_QSYS_pio_LED::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_jtag_uart::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_reset_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_system_pll::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_onchip_memory2::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_pio_button::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_pio_sw::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_clock_in::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_mm_clock_crossing_bridge::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_sysid_qsys::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_timer::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [DE10AG_QSYS_nios2_gen2::get_elab_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    append SIM_OPTIONS [DE10AG_QSYS_pio_LED::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_jtag_uart::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_reset_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_system_pll::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_onchip_memory2::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_pio_button::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_pio_sw::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_clock_in::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_mm_clock_crossing_bridge::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_sysid_qsys::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_timer::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [DE10AG_QSYS_nios2_gen2::get_sim_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_pio_LED::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_jtag_uart::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_reset_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_system_pll::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_onchip_memory2::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_pio_button::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_pio_sw::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_clock_in::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_mm_clock_crossing_bridge::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_sysid_qsys::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_timer::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [DE10AG_QSYS_nios2_gen2::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
}
