module DE10_Agilex_System (
		input  wire        clk_from_si5397a_0_clk_in_ref_export,    //    clk_from_si5397a_0_clk_in_ref.export
		input  wire        clk_from_si5397a_0_clk_in_target_export, // clk_from_si5397a_0_clk_in_target.export
		input  wire        clk_from_si5397a_1_clk_in_ref_export,    //    clk_from_si5397a_1_clk_in_ref.export
		input  wire        clk_from_si5397a_1_clk_in_target_export, // clk_from_si5397a_1_clk_in_target.export
		input  wire        qsfpdda_refclk_clk_in_ref_export,        //        qsfpdda_refclk_clk_in_ref.export
		input  wire        qsfpdda_refclk_clk_in_target_export,     //     qsfpdda_refclk_clk_in_target.export
		input  wire        qsfpddb_refclk_clk_in_ref_export,        //        qsfpddb_refclk_clk_in_ref.export
		input  wire        qsfpddb_refclk_clk_in_target_export,     //     qsfpddb_refclk_clk_in_target.export
		input  wire        qsfpddrsv_refclk_clk_in_ref_export,      //      qsfpddrsv_refclk_clk_in_ref.export
		input  wire        qsfpddrsv_refclk_clk_in_target_export,   //   qsfpddrsv_refclk_clk_in_target.export
		input  wire [15:0] core_current1_export,                    //                    core_current1.export
		input  wire [15:0] core_current2_export,                    //                    core_current2.export
		input  wire [15:0] core_voltage1_export,                    //                    core_voltage1.export
		input  wire [15:0] core_voltage2_export,                    //                    core_voltage2.export
		input  wire [15:0] fan_speed1_export,                       //                       fan_speed1.export
		input  wire [15:0] fan_speed2_export,                       //                       fan_speed2.export
		input  wire [15:0] pin_status_export,                       //                       pin_status.export
		input  wire [15:0] power_in_current_export,                 //                 power_in_current.export
		input  wire [15:0] power_in_voltage_export,                 //                 power_in_voltage.export
		input  wire [15:0] temperature_board1_export,               //               temperature_board1.export
		input  wire [15:0] temperature_board2_export,               //               temperature_board2.export
		input  wire [15:0] temperature_e_tile_export,               //               temperature_e_tile.export
		input  wire [15:0] temperature_fpga_export,                 //                 temperature_fpga.export
		input  wire [15:0] temperature_p_tile_export,               //               temperature_p_tile.export
		input  wire [15:0] temperature_sdm_export,                  //                  temperature_sdm.export
		input  wire        clock_in_clk,                            //                         clock_in.clk
		input  wire        reset_in0_reset,                         //                        reset_in0.reset
		input  wire        reset_in1_reset,                         //                        reset_in1.reset
		inout  wire        si5397a_i2c_export_scl_pad_io,           //               si5397a_i2c_export.scl_pad_io
		inout  wire        si5397a_i2c_export_sda_pad_io,           //                                 .sda_pad_io
		output wire        si5397a_oe_n_export,                     //                     si5397a_oe_n.export
		output wire        si5397a_rst_n_export                     //                    si5397a_rst_n.export
	);
endmodule

